# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "esox"
version = "0.1.3"
build = false
exclude = [
    ".github/**",
    "templates",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Library for NISECI and HFBI calc"
readme = "README.md"
license = "GPL-3.0-only"
repository = "https://github.com/JGGR/esox"

[features]
experimental = []
json = [
    "dep:json",
    "dep:serde_json",
]

[lib]
name = "esox"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4.44"
default-features = false

[dependencies.csv]
version = "1.4.0"

[dependencies.json]
version = "0.12.4"
optional = true

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"
optional = true
